### Method

# Foundry DependencyProvider dup_plugin_info

#### Declaration [src]

    PeasPluginInfo*
    foundry_dependency_provider_dup_plugin_info (
      FoundryDependencyProvider* self
    )

#### Description [src]

Gets the plugin the provider belongs to.

#### Return value

Type: `PeasPluginInfo`

A `PeasPluginInfo` or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.